#!/bin/bash
# Generic buildstep script
if [ -r "$PLATFORM_LOC/scripts/utils.sh" ]; then
	source "$PLATFORM_LOC/scripts/utils.sh"
else
	source "$script_lib_dir/utils.sh"
fi

meson_do_configure() {
    # Meson requires native toolset to configure, temporary unset the following variables
    # to avoid using cross compiler to build native executable (eg. sanity check tool)
    unset AR LD NM CC CPP CXX READELF STRIP
    
	if $recipe_is_native || $recipe_is_cross; then
		meson_override_native_tools
	else
		export PKG_CONFIG="${configure_build_prefix}pkg-config"
	fi
	meson_do_write_config
	
	sed -i "s@system = 'linux-gnueabi'@system = 'linux'@" ${MESON_MACHINE}

    # Work around "Meson fails if /tmp is mounted with noexec #2972"
    mkdir -p "${buildDir}/meson-private/tmp"
    export TMPDIR="${buildDir}/meson-private/tmp"
    export STAGING_INCDIR
	export STAGING_LIBDIR
	
    log Executing meson ${meson_extra_flags}...
	log_exec meson setup ${MACHINE_FILE} "${MESONOPTS[@]}" ${meson_extra_flags} "${buildDir}" "${MESON_SOURCEPATH}"
}

do_buildstep_prepend

meson_do_configure

do_buildstep_append
