#!/bin/bash
#
# Recipe-specific step for task Compile: task.compile.u-boot-stm32mp1-dhsom_2021.01-r0 (make_all.sh)
#
# This script was imported from Yocto but may have been modified locally
#



if [ -r "$PLATFORM_LOC/scripts/utils.sh" ]; then
	source "$PLATFORM_LOC/scripts/utils.sh"
else
	source "$script_lib_dir/utils.sh"
fi

CROSS_COMPILE=${NATIVE_SYSROOT_LOC}/${compiler_loc%/}/usr/bin/${compiler_prefix}- 

function local_do_make_all() {
    if [ "" ]; then
	sed -i 's/$(CROSS_COMPILE)ld$/$(CROSS_COMPILE)ld.bfd/g' ${srcDir}/config.mk
    fi

    unset LDFLAGS
    unset CFLAGS
    unset CPPFLAGS

    if [ ! -e ${buildDir}/.scmversion -a ! -e ${srcDir}/.scmversion ]
    then
	echo  > ${buildDir}/.scmversion
	echo  > ${srcDir}/.scmversion
    fi

    if [ -n "$UBOOT_CONFIG" ]
    then
	unset i j k
	for config in stm32mp15_dhcor_basic_defconfig; do
	    i=$(expr $i + 1);
	    for type in $UBOOT_CONFIG; do
		j=$(expr $j + 1);
		if [ $j -eq $i ]
		then
		    do_make -C ${srcDir} O=${buildDir}/$config u-boot.itb all
		    for binary in $UBOOT_BINARIES; do
			k=$(expr $k + 1);
			if [ $k -eq $i ]; then
			    log_run cp ${buildDir}/$config/$binary ${buildDir}/$config/u-boot-$type.itb
			fi
		    done

		    # Generate the uboot-initial-env
		    if [ -n "u-boot-stm32mp1-dhsom-initial-env" ]; then
			do_make -C ${srcDir} O=${buildDir}/$config u-boot-initial-env
			log_run cp ${buildDir}/$config/u-boot-initial-env ${buildDir}/$config/u-boot-initial-env-$type
		    fi

		    unset k
		fi
	    done
	    unset j
	done
	unset i
    else
	do_make -C ${srcDir} O=${buildDir} u-boot.itb all

	# Generate the uboot-initial-env
	if [ -n "u-boot-stm32mp1-dhsom-initial-env" ]; then
	    do_make -C ${srcDir} O=${buildDir} u-boot-initial-env
	fi
    fi
	uboot-mkimage -A arm -T script -C none \
		-d ${workDir}/boot.cmd ${workDir}/boot.scr
}

do_buildstep_prepend

do_make CROSS_COMPILE=${CROSS_COMPILE} V=1 all

do_buildstep_append

