# Append script for task Configure: task.configure.linux-stm32mp_5.15.67-stm32mp-r2-r0 (configure-append.sh)
# This script was imported from Yocto but may have been modified locally

bbwarn() {
	if [ -p ${workDir}/temp/fifo.29532 ] ; then
		printf "%b\0" "bbwarn $*" > ${workDir}/temp/fifo.29532
	else
		echo "WARNING: $*"
	fi
}

	if [ "0" = "1" ]; then
		if echo Image zImage uImage vmlinux | grep -q 'zImage'; then
			case "arm" in
				"arm")
				config="${buildDir}/.config"
				if ! grep -q 'CONFIG_ARM_APPENDED_DTB=y' $config; then
					bbwarn 'CONFIG_ARM_APPENDED_DTB is NOT enabled in the kernel. Enabling it to allow the kernel to boot with the Device Tree appended!'
					sed -i "/CONFIG_ARM_APPENDED_DTB[ =]/d" $config
					echo "CONFIG_ARM_APPENDED_DTB=y" >> $config
					echo "# CONFIG_ARM_ATAG_DTB_COMPAT is not set" >> $config
				fi
				;;
				*)
				log_error "KERNEL_DEVICETREE_BUNDLE is not supported for arm. Currently it is only supported for 'ARM'."
			esac
		else
			log_error 'The KERNEL_DEVICETREE_BUNDLE requires the KERNEL_IMAGETYPE to contain zImage.'
		fi
	fi
    unset CFLAGS CPPFLAGS CXXFLAGS LDFLAGS MACHINE
    if [ ! -z defconfig ];
    then
	message "Kernel customized: configuration of linux STM by using DEFCONFIG: defconfig"
	do_make -j 4 -C ${srcDir} O=${buildDir} CC="${configure_host_alias}-gcc -mno-thumb-interwork -marm -fuse-ld=bfd -fmacro-prefix-map=${workDir}=${prefix}/src/debug/${recipe_name}/5.15.67-stm32mp-r2-r0 -fdebug-prefix-map=${workDir}=${prefix}/src/debug/${recipe_name}/5.15.67-stm32mp-r2-r0 -fdebug-prefix-map=${TARGET_SYSROOT_LOC}= -fdebug-prefix-map=${NATIVE_SYSROOT_LOC}= -fdebug-prefix-map=${workDir}=${prefix}/src/kernel LD="${configure_target_alias}-ld.bfd" defconfig
    else
	if [ ! -z $KERNEL_EXTERNAL_DEFCONFIG ];
	then
	    message "Kernel customized: configuration of linux STM by using external DEFCONFIG"
	    log_run install -m 0644 ${workDir}/$KERNEL_EXTERNAL_DEFCONFIG ${buildDir}/.config
	    yes '' | do_make -C ${srcDir} O=${buildDir} CC="${configure_host_alias}-gcc -mno-thumb-interwork -marm -fuse-ld=bfd -fmacro-prefix-map=${workDir}=${prefix}/src/debug/${recipe_name}/5.15.67-stm32mp-r2-r0 -fdebug-prefix-map=${workDir}=${prefix}/src/debug/${recipe_name}/5.15.67-stm32mp-r2-r0" LD="${configure_target_alias}-ld.bfd" oldconfig
	else
	    bbwarn "You must specify KERNEL_DEFCONFIG or KERNEL_EXTERNAL_DEFCONFIG"
	    fatal_no_status "NO DEFCONFIG SPECIFIED"
	fi
    fi

    if [ ! -z "${srcDir}/arch/arm/configs/fragment-01-multiv7_cleanup.config ${srcDir}/arch/arm/configs/fragment-02-multiv7_addons.config ${workDir}/fragments/fragment-03-systemd.config  ${workDir}/fragments/fragment-04-modules.config    " ]
    then
	for f in ${srcDir}/arch/arm/configs/fragment-01-multiv7_cleanup.config ${srcDir}/arch/arm/configs/fragment-02-multiv7_addons.config ${workDir}/fragments/fragment-03-systemd.config  ${workDir}/fragments/fragment-04-modules.config
	do
	    message "file = $f"
	    # Check if the config fragment was copied into the WORKDIR from
	    # the OE meta data
	    if [ ! -e "$f" ]
	    then
		echo "Could not find kernel config fragment $f"
		exit 1
	    fi
	done

	message "${srcDir}/scripts/kconfig/merge_config.sh -m -r -O ${buildDir} ${buildDir}/.config ${srcDir}/arch/arm/configs/fragment-01-multiv7_cleanup.config ${srcDir}/arch/arm/configs/fragment-02-multiv7_addons.config ${workDir}/fragments/fragment-03-systemd.config  ${workDir}/fragments/fragment-04-modules.config     1>&2"
	# Now that all the fragments are located merge them.
	(${srcDir}/scripts/kconfig/merge_config.sh -m -r -O ${buildDir} ${buildDir}/.config ${srcDir}/arch/arm/configs/fragment-01-multiv7_cleanup.config ${srcDir}/arch/arm/configs/fragment-02-multiv7_addons.config ${workDir}/fragments/fragment-03-systemd.config  ${workDir}/fragments/fragment-04-modules.config     1>&2 )
    fi

    yes '' | do_make -C ${srcDir} O=${buildDir} CC="${configure_host_alias}-gcc -mno-thumb-interwork -marm -fuse-ld=bfd -fmacro-prefix-map=${workDir}=${prefix}/src/debug/${recipe_name}/5.15.67-stm32mp-r2-r0 -fdebug-prefix-map=${workDir}=${prefix}/src/debug/${recipe_name}/5.15.67-stm32mp-r2-r0 -fdebug-prefix-map=${TARGET_SYSROOT_LOC}= -fdebug-prefix-map=${NATIVE_SYSROOT_LOC}= " LD="${configure_target_alias}-ld.bfd" oldconfig
    #do_make -C $[srcDir] O=$[buildDir] savedefconfig && cp $[buildDir]/defconfig $[workDir]/defconfig.saved
