# Append script for task Configure: task.configure.linux-stm32mp_5.15.67-stm32mp-r2-r0 (configure-append.sh)
# This script was imported from Yocto but may have been modified locally

: ${KERNEL_DEVICETREE_BUNDLE:="0"}

	if [ "${KERNEL_DEVICETREE_BUNDLE}" = "1" ]; then
		if echo Image zImage uImage vmlinux | grep -q 'zImage'; then
			case "arm" in
				"arm")
				config="${buildDir}/.config"
				if ! grep -q 'CONFIG_ARM_APPENDED_DTB=y' $config; then
					warning 'CONFIG_ARM_APPENDED_DTB is NOT enabled in the kernel. Enabling it to allow the kernel to boot with the Device Tree appended!'
					sed -i "/CONFIG_ARM_APPENDED_DTB[ =]/d" $config
					echo "CONFIG_ARM_APPENDED_DTB=y" >> $config
					echo "# CONFIG_ARM_ATAG_DTB_COMPAT is not set" >> $config
				fi
				;;
				*)
				log_error "KERNEL_DEVICETREE_BUNDLE is not supported for arm. Currently it is only supported for 'ARM'."
			esac
		else
			log_error 'The KERNEL_DEVICETREE_BUNDLE requires the KERNEL_IMAGETYPE to contain zImage.'
		fi
	fi
    unset CFLAGS CPPFLAGS CXXFLAGS LDFLAGS MACHINE
    if [ ! -z defconfig ];
    then
		message "Kernel customized: configuration of linux STM by using DEFCONFIG: defconfig"
		do_make -C ${srcDir} O=${buildDir} defconfig

    else
		if [ ! -z $KERNEL_EXTERNAL_DEFCONFIG ];
		then
		    message "Kernel customized: configuration of linux STM by using external DEFCONFIG"
		    log_run install -m 0644 ${workDir}/$KERNEL_EXTERNAL_DEFCONFIG ${buildDir}/.config
		    yes '' | do_make -C ${srcDir} O=${buildDir}  oldconfig
		else
		    warning "You must specify KERNEL_DEFCONFIG or KERNEL_EXTERNAL_DEFCONFIG"
		    fatal_no_status "NO DEFCONFIG SPECIFIED"
		fi
    fi

    if [ ! -z "${srcDir}/arch/arm/configs/fragment-01-multiv7_cleanup.config ${srcDir}/arch/arm/configs/fragment-02-multiv7_addons.config ${workDir}/fragments/fragment-03-systemd.config  ${workDir}/fragments/fragment-04-modules.config " ]
    then
		for f in ${srcDir}/arch/arm/configs/fragment-01-multiv7_cleanup.config ${srcDir}/arch/arm/configs/fragment-02-multiv7_addons.config ${workDir}/fragments/fragment-03-systemd.config  ${workDir}/fragments/fragment-04-modules.config
		do
		    message "file = $f"
		    # Check if the config fragment was copied into the WORKDIR from
		    # the OE meta data
		    if [ ! -e "$f" ]
		    then
			echo "Could not find kernel config fragment $f"
			exit 1
		    fi
		done
	
		message "${srcDir}/scripts/kconfig/merge_config.sh -m -r -O ${buildDir} ${buildDir}/.config ${srcDir}/arch/arm/configs/fragment-01-multiv7_cleanup.config ${srcDir}/arch/arm/configs/fragment-02-multiv7_addons.config ${workDir}/fragments/fragment-03-systemd.config  ${workDir}/fragments/fragment-04-modules.config     1>&2"
		# Now that all the fragments are located merge them.
		(${srcDir}/scripts/kconfig/merge_config.sh -m -r -O ${buildDir} ${buildDir}/.config ${srcDir}/arch/arm/configs/fragment-01-multiv7_cleanup.config ${srcDir}/arch/arm/configs/fragment-02-multiv7_addons.config ${workDir}/fragments/fragment-03-systemd.config  ${workDir}/fragments/fragment-04-modules.config     1>&2 )
    fi

    yes '' | do_make -C ${srcDir} O=${buildDir} oldconfig
    #do_make -C $[srcDir] O=$[buildDir] savedefconfig && cp $[buildDir]/defconfig $[workDir]/defconfig.saved
