#!/bin/bash
# Script to run make modules install with input target and arguments

if [ -r "$PLATFORM_LOC/scripts/utils.sh" ]; then
	source "$PLATFORM_LOC/scripts/utils.sh"
else
	source "$script_lib_dir/utils.sh"
fi

do_make_modules_install() {
	if [ ! -r Makefile ]; then
		echo "No rule for installing $recipe_name"
		exit 1
	fi

	KERNEL_VERSION=$(make -f ${KDIR}/Makefile kernelversion)	
	log_exec install -d ${installDir}/lib/modules/${KERNEL_VERSION}/extra
	log_exec install -m 0755 galcore.ko ${installDir}/lib/modules/${KERNEL_VERSION}/extra/galcore.ko
	
	log_exec install -d ${installDir}/usr/include
	log_exec install -m 0755 Module.symvers ${installDir}/usr/include/Module.symvers
	
	log_exec install -d ${installDir}/etc/modules-load.d
	echo "galcore" > ${installDir}/etc/modules-load.d/galcore.conf
}

do_buildstep_prepend

do_make_modules_install

do_buildstep_append
