#!/bin/bash
#
# Recipe-specific step for task Compile: task.compile.optee-os-stm32mp_3.16.0-stm32mp-r2-r0 (make_all.sh)
#
# This script was imported from Yocto but may have been modified locally
#

if [ -r "$PLATFORM_LOC/scripts/utils.sh" ]; then
	source "$PLATFORM_LOC/scripts/utils.sh"
else
	source "$script_lib_dir/utils.sh"
fi

function local_do_make_all() {
    export CFLAGS=" -O2 -pipe -g -feliminate-unused-debug-types -fmacro-prefix-map=${workDir}=${prefix}/src/debug/${recipe_name}/3.16.0-stm32mp-r2-r0                      -fdebug-prefix-map=${workDir}=${prefix}/src/debug/${recipe_name}/3.16.0-stm32mp-r2-r0                      -fdebug-prefix-map=${TARGET_SYSROOT_LOC}=                      -fdebug-prefix-map=${NATIVE_SYSROOT_LOC}=  --sysroot=${TARGET_SYSROOT_LOC}"
    export OPENSSL_MODULES=${NATIVE_SYSROOT_LOC}${libdir}/ossl-modules
    if [ -n "${optee_conf}" ]; then
		for conf in ${optee_conf} ; do
		    # Configure SOC switch
		    soc_extra=""
		    for soc in ${stm32mp_soc_name} ; do
			if [ "$(echo $conf | grep -c $soc)" -eq 1 ]; then
			    soc_extra="$(echo CFG_$soc | awk '{print toupper($0)}')=y"
			    break
			fi
		    done
	
		    do_make -C ${srcDir} O=${buildDir}/$conf CFG_EMBED_DTB_SOURCE_FILE=$conf.dts $soc_extra
		done
    else
		do_make -C ${srcDir} O=${buildDir}/out
    fi
}

do_buildstep_prepend

local_do_make_all

do_buildstep_append

